
package de.ivu.elect.business.wahl.control;

import java.util.Calendar;
import java.util.Collection;
import java.util.Date;
import java.util.GregorianCalendar;

import de.ivu.elect.business.wahl.entity.Wahl;

public class WahlUtils {

  public static String getWahlartenAsString(Collection<Wahl> wahlen) {
    StringBuilder sb = new StringBuilder();
    boolean isFirst = true;
    for (Wahl wahl : wahlen) {
      if (isFirst) {
        isFirst = false;
      } else {
        sb.append(", ");
      }
      sb.append(wahl.getWahlart().getName());
    }
    return sb.toString();
  }

  public static int bestimmeWahljahr(Wahl wahl) {
    GregorianCalendar calendar = new GregorianCalendar();
    calendar.setTime(wahl.getWahldatum());
    return calendar.get(Calendar.YEAR);
  }

  public static int bestimmeWahljahr(Date wahldatum) {
    GregorianCalendar calendar = new GregorianCalendar();
    calendar.setTime(wahldatum);
    return calendar.get(Calendar.YEAR);
  }

}
